Package bitel.billing.server.admin.reports

# Class BGReportFilter

java.lang.Object
ru.bitel.bgbilling.modules.reports.server.bean.filter.BGReportFilter
bitel.billing.server.admin.reports.BGReportFilter

    @Deprecated
    public class BGReportFilter
    extends BGReportFilter

Deprecated.
use `BGReportFilter`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BGReportFilter​(java.util.Map<java.lang.String,​java.lang.Object> parameterMap)` | Deprecated.
  `BGReportFilter​(java.util.Map<java.lang.String,​java.lang.String> filter, Preferences setup)` | Deprecated.
  `BGReportFilter​(java.util.Map<java.lang.String,​java.lang.String> filter, Preferences setup, java.util.Map<java.lang.String,​java.lang.Object> parameterMap)` | Deprecated.
  `BGReportFilter​(java.util.Map<java.lang.String,​java.lang.String> filter, Preferences setup, java.util.Map<java.lang.String,​java.lang.Object> parameterMap, net.sf.jasperreports.engine.JRDataset dataset)` | Deprecated.

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.modules.reports.server.bean.filter.BGReportFilter

  `cacheGet, cachePut, getBooleanParam, getCalendarParam, getCalendarParam, getDataset, getDateParam, getHashValuesWithPrefix, getIntParam, getIntParam, getLongParam, getLongParam, getReportParametersMap, getStringParam, getUserId, setCalendarParam, setStringParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BGReportFilter

    public BGReportFilter​(java.util.Map<java.lang.String,​java.lang.Object> parameterMap)
    Deprecated.

  - ### BGReportFilter

    public BGReportFilter​(java.util.Map<java.lang.String,​java.lang.String> filter, Preferences setup, java.util.Map<java.lang.String,​java.lang.Object> parameterMap, net.sf.jasperreports.engine.JRDataset dataset)
    Deprecated.

  - ### BGReportFilter

    public BGReportFilter​(java.util.Map<java.lang.String,​java.lang.String> filter, Preferences setup)
    Deprecated.

  - ### BGReportFilter

    public BGReportFilter​(java.util.Map<java.lang.String,​java.lang.String> filter, Preferences setup, java.util.Map<java.lang.String,​java.lang.Object> parameterMap)
    Deprecated.